/*
 * Copyright (c) 2012 Samsung Electronics Co., Ltd.
 *
 * See file CREDITS for list of people who contributed to this
 * project.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 */

#ifndef __ASM_ARM_ARCH_SYSREG_H_
#define __ASM_ARM_ARCH_SYSREG_H_

#ifndef __ASSEMBLY__
struct exynos5_sysreg {
	unsigned char	res1[0x0214];
	unsigned int	disp1blk_cfg;
	unsigned int	dispblk_cfg2;
	unsigned int	hdcp_e_fuse_mem_cfg;
	unsigned int	gsclblk_cfg0;
	unsigned int	gsclblk_cfg1;
	unsigned char   res2[0x4];
	unsigned int	ispblk_cfg;
	unsigned int	usb20phy_cfg;
	unsigned int	i2c_cfg;
	unsigned int	mipi_dphy;
	unsigned int	dptx_phy;
	unsigned int	phyclk_sel;
	unsigned int	gsclblk_cfg2;
	unsigned char	res3[0xdffc];
};

struct exynos7420_sysreg {
	unsigned char	res1[0x2910];
	unsigned int	disp_cfg_user_reg; /* Base Address + 0x2910 */
	unsigned char	res2[0x01c];
	unsigned int	mipi_dphy_con; /* Base Address + 0x2930 */
};

struct exynos7580_sysreg_disp {			/* 0x14890000 */
	unsigned char	res1[0x100C];
	unsigned int	mipi_dphy_con; /* Base Address + 0x100C */
};

#define EXYNOS8890_SYSREG_MIPI_PHY_CON		(EXYNOS8890_SYSREG_DISP0_BASE + 0x100C)

#endif

#endif
