/*
 * Copyright@ Samsung Electronics Co. LTD
 *
 * This software is proprietary of Samsung Electronics.
 * No part of this software, either material or conceptual may be copied or distributed, transmitted,
 * transcribed, stored in a retrieval system or translated into any human or computer language in any form by any means,
 * electronic, mechanical, manual or otherwise, or disclosed
 * to third parties without the express written permission of Samsung Electronics.


 * Alternatively, this program is free software in case of open source projec;
 * you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.

*/

#ifndef __CLK_BOOT_H__
#define __CLK_BOOT_H__

enum {
	CPUCL0_PLL = 0,
	CPUCL0_DIV_CLK_CPUCL0_ACLK,
	CPUCL0_DIV_CLK_CPUCL0_PCLK,
	CPUCL0_DIV_CLK_CPUCL0_ATCLK,
	CPUCL0_DIV_CLK_CPUCL0_PCLKDBG,
	CPUCL0_DIV_CLK_CPUCL0_CNTCLK,
	CPUCL0_DIV_CLK_CPUCL0_RUN_MONITOR,
	CPUCL0_DIV_CLK_CPUCL0_HPM,
	CPUCL0_DIV_CLK_CPUCL0_PLL,
	NUM_OF_CPUCL0_MEMBER,

	MIF_MUX_CLKCMU_G3D = 0,
	MIF_DIV_CLKCMU_G3D,
	G3D_DIV_CLK_G3D_BUS,
	G3D_DIV_CLK_G3D_APB,
	NUM_OF_G3D_MEMBER,

	/* MIF_MUX_CLK_MIF_PHY_CLK is merged of MIF_MUX_CLK_MIF_PHY_CLK_A, B & MIF_DIV_CLK_MIF_PHY_CLK2X, M */
	MIF_MUX_CLK_MIF_PHY_CLK = 0,
	MIF_MUX_CLK_MIF_BUSD,
	MIF_DIV_CLK_MIF_BUSD,
	MIF_DIV_CLK_MIF_APB,
	NUM_OF_MIF_MEMBER,

	MIF_MUX_CLKCMU_MFCMSCL_MSCL = 0,
	MIF_MUX_CLKCMU_MFCMSCL_MFC,
	MIF_MUX_CLKCMU_FSYS_BUS,
	MIF_MUX_CLKCMU_PERI_BUS,
	MIF_DIV_CLKCMU_MFCMSCL_MSCL,
	MIF_DIV_CLKCMU_MFCMSCL_MFC,
	MIF_DIV_CLKCMU_FSYS_BUS,
	MIF_DIV_CLKCMU_PERI_BUS,
	NUM_OF_INT_MEMBER,

	MIF_MUX_CLKCMU_DISPAUD_BUS = 0,
	MIF_DIV_CLKCMU_DISPAUD_BUS,
	NUM_OF_DISP_MEMBER,

	MIF_MUX_CLKCMU_ISP_VRA = 0,
	MIF_MUX_CLKCMU_ISP_CAM,
	MIF_DIV_CLKCMU_ISP_VRA,
	MIF_DIV_CLKCMU_ISP_CAM,
	NUM_OF_CAM_MEMBER,
};

struct cmu_resume_value {
	unsigned short shared0_mps[3];
	unsigned short shared1_mps[3];
	unsigned short shared2_mps[3];
	unsigned short cpucl0_mps[2 * 3];
	unsigned char dvfs_cpucl0[2 * NUM_OF_CPUCL0_MEMBER];
	unsigned char dvfs_g3d[2 * NUM_OF_G3D_MEMBER];
	unsigned int dvfs_mif[NUM_OF_MIF_MEMBER];
	unsigned char dvfs_int[NUM_OF_INT_MEMBER];
	unsigned char dvfs_disp[NUM_OF_DISP_MEMBER];
	unsigned char dvfs_cam[NUM_OF_CAM_MEMBER];
};

int clk_init(unsigned int cmu_resume);

#endif /* __CLK_BOOT_H__ */
