/*
 * Copyright (c) 2015 Samsung Electronics Co., Ltd.
 *
 * DFD for Exynos
 *
 * See file CREDITS for list of people who contributed to this
 * project.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 */

#ifndef _EXYNOS7580_DFD_H
#define _EXYNOS7580_DFD_H

#define DFD_NR_CPUS			(4)

#define DFD_EDPCSR_DUMP_EN		(1 << 0)

#define DFD_L2RSTDISABLE_CPUCL0_EN	(1 << 11)
#define DFD_L1RSTDISABLE_CPUCL0_EN	(1 << 10)

#define DFD_L2RSTDISABLE_CPUCL1_EN	(1 << 9)
#define DFD_L1RSTDISABLE_CPUCL1_EN	(1 << 8)

#define DFD_L2RSTDISABLE_CPUCL0_CLR	(1 << 7)
#define DFD_L1RSTDISABLE_CPUCL0_CLR	(1 << 6)

#define DFD_L2RSTDISABLE_CPUCL1_CLR	(1 << 5)
#define DFD_L1RSTDISABLE_CPUCL1_CLR	(1 << 4)

#define DFD_CPU_ON_PSCI_ID		(0xC4000003)
#define DFD_RESET_SEQUENCER_OFFSET	(0x500)
#define DFD_COREREG_OFFSET		(0x200)
#define DFD_REG_OFFSET			(0x4)

#define DFD_CPUCL0_DUMP_PC_ADDRESS	(0x10930000)	/* CPU CLUSTER 0 */
#define DFD_CPUCL1_DUMP_PC_ADDRESS	(0x10830000)	/* CPU CLUSTER 1 */
#define DFD_DUMP_GPR_OFFSET		(0x40)

#define DFD_CPUCL1_LAST_CORE		(7)
#define DFD_CPUCL0_LAST_CORE		(3)

#define CLEAR				(0 << 0)
#define RESET				(1 << 0)
#define RESERVED			(1 << 1)
#define HOTPLUG				(1 << 2)
#define C2_STATE			(1 << 3)
#define CLUSTER_OFF			(1 << 4)
#define DFD_CORE_STAT			(CONFIG_PHY_IRAM_NS_BASE + 0x28)

#define CPU0_LOGICAL_MAP		0x0
#define CPU1_LOGICAL_MAP		0x1
#define CPU2_LOGICAL_MAP		0x2
#define CPU3_LOGICAL_MAP		0x3
#define CPU4_LOGICAL_MAP		0x100
#define CPU5_LOGICAL_MAP		0x101
#define CPU6_LOGICAL_MAP		0x102
#define CPU7_LOGICAL_MAP		0x103

#define FLUSH_SKIP			0x0
#define FLUSH_LEVEL1			0x1
#define FLUSH_LEVEL2			0x2
#define FLUSH_LEVEL3			0x3

#ifndef __ASSEMBLY__
#ifdef CONFIG_RAMDUMP_GPR
void dfd_run_dump_gpr(unsigned long pmu_base);
void dfd_set_dump_grp(unsigned long pmu_base, int en);
void dfd_entry_dump_gpr(void);
void dfd_display_reboot_reason(void);
void dfd_display_core_stat(void);
#else
inline static void dfd_display_reboot_reason(void)
{
}
inline static void dfd_display_core_stat(void)
{
}
inline static void dfd_run_dump_gpr(unsigned long pmu_base)
{
}
inline static void dfd_set_dump_gpr(unsigned long pmu_base, int en)
{
}
inline static void dfd_entry_dump_gpr(void)
{
}
#endif
#endif
#endif
