/* drivers/video/exynos/panels/rm69080_mipi_lcd.c
 *
 * Samsung SoC MIPI LCD driver.
 *
 * Copyright@ Samsung Electronics Co. LTD
 *
 * Jaeyong Lee <jaeyong2.lee@samsung.com> *
 *
 * This software is proprietary of Samsung Electronics.
 * No part of this software, either material or conceptual may be copied or distributed, transmitted,
 * transcribed, stored in a retrieval system or translated into any human or computer language in any form by any means,
 * electronic, mechanical, manual or otherwise, or disclosed
 * to third parties without the express written permission of Samsung Electronics.


 * Alternatively, this program is free software in case of open source projec;
 * you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.

*/

#include "../dsim.h"

#include "lcd_ctrl.h"
#include "decon_lcd.h"
#include "rm69080_param.h"
#include <asm/arch/gpio.h>

#define EXYNOS7570_GPE0CON 0x139b0000
#define msleep(a) udelay(a * 1000)

static int rm69080_probe(struct dsim_device *dsim)
{
	return 1;
}

static void backlight_on(void)
{
	struct s5p_gpio_bank *bank = NULL;
	unsigned int value=0;

	printf("backlight_on end\r\n");

}

static int rm69080_displayon(struct dsim_device *dsim)
{
	dsim_info("%s +\n", __func__);
	lcd_init(dsim->id, dsim->lcd_info);
	dsim_info("%s -\n", __func__);
	return 1;
}

static int rm69080_suspend(struct dsim_device *dsim)
{
	return 1;
}

static int rm69080_resume(struct dsim_device *dsim)
{
	return 1;
}

struct mipidsim_lcd_driver rm69080_mipi_lcd_driver = {
	.probe		= rm69080_probe,
	.displayon	= rm69080_displayon,
	.suspend	= rm69080_suspend,
	.resume		= rm69080_resume,
};

struct mipidsim_lcd_driver *decon_get_panel_info(void)
{
	return &rm69080_mipi_lcd_driver;
}
