/*
 * Copyright (c) 2014 Samsung Electronics Co., Ltd.
 *
 * Jiun Yu <jiun.yu@samsung.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
*/

#ifndef __S6E3HA0_PARAM_H__
#define __S6E3HA0_PARAM_H__

static const unsigned char SEQ_TEST_KEY_ON_F0[] = {
	0xF0,
	0x5A, 0x5A,
};

static const unsigned char SEQ_TEST_KEY_ON_F1[] = {
	0xF1,
	0x5A, 0x5A,
};

static const unsigned char SEQ_TEST_KEY_ON_FC[] = {
	0xFC,
	0x5A, 0x5A,
};

static const unsigned char SEQ_TEST_KEY_ON_F9[] = {
	0xF9,
	0x29,
};

static const unsigned char SEQ_TEST_KEY_ON_B6[] = {
	0xB6,
	0x88, 0x09, 0x00, 0x00, 0x00, 0x00, 0x00, 0x03,
	0x55, 0x54, 0x20, 0x00, 0x06, 0x66, 0x6C, 0x0C
};

static const unsigned char SEQ_TEST_KEY_ON_B8[] = {
	0xB8,
	0x00, 0x00, 0x40, 0x08, 0xA8, 0x00
};

static const unsigned char SEQ_TEST_KEY_ON_C7[] = {
	0xC7,
	0x06
};

static const unsigned char SEQ_TEST_KEY_ON_F6[] = {
	0xF6,
	0x47, 0x0D, 0x17, 0x01, 0xAA, 0x01, 0x3E
};

static const unsigned char SEQ_TEST_KEY_ON_CB[] = {
	0xCB, 0x08, 0x41, 0x01, 0x00, 0x00, 0x00, 0x23, 0x00, 0x00,
	0xD2, 0x04, 0x00, 0xD2, 0x01, 0x00, 0x00, 0x41, 0x8F, 0x14,
	0x8F, 0x00, 0x00, 0x00, 0x00, 0x01, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x82, 0x00, 0x00, 0xC0,
	0x00, 0x00, 0x00, 0x80, 0x00, 0x00, 0x00, 0xE0, 0xE0, 0xE1,
	0xE0, 0x63, 0x02, 0x04, 0x05, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00, 0x0B, 0x00, 0x0F, 0x0E, 0x04,
	0x05, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00, 0x00,
	0x00, 0x00, 0x00, 0x00, 0x00
};

static const unsigned char SEQ_TEST_KEY_ON_E7[] = {
	0xE7,
	0xED, 0xC7, 0x23, 0x57, 0xa5, 0x40, 0xED, 0xC7, 0x23, 0x57,
	0x20, 0x40
};

static const unsigned char SEQ_TEST_KEY_ON_CA[] = {
	0xCA, 0x01, 0x24, 0x01, 0x05, 0x01, 0x53, 0xDA, 0xDB, 0xDA,
	0xD6, 0xD7, 0xD6, 0xBF, 0xC0, 0xC0, 0xC4, 0xC6, 0xC6, 0xD7,
	0xD7, 0xD9, 0xCF, 0xD4, 0xDC, 0xBA, 0xC3, 0xC3, 0x7D, 0xBA,
	0xB3, 0x02, 0x03, 0x02
};
#if 1
static const unsigned char SEQ_TEST_KEY_ON_F2[] = {
	0xF2,
	0x07
};
#else
static const unsigned char SEQ_TEST_KEY_ON_F2[] = {
	0xF2,
	0x07, 0x00, 0x01, 0xA4, 0x03, 0x0d, 0xA0
};
#endif
static const unsigned char SEQ_TEST_KEY_ON_E8[] = {
	0xE8,
	0xBF, 0xA0, 0x00, 0x00, 0x00, 0x00, 0xA4, 0x08, 0x60, 0x00,
	0x00, 0x00, 0x00, 0x00
};

static const unsigned char SEQ_TEST_KEY_ON_FD[] = {
	0xFD, 0x90, 0x16, 0x05, 0x0A, 0x08, 0x00, 0x00, 0x01, 0xFC,
	0x00, 0x00, 0x00, 0x0C, 0x07, 0x03, 0x00, 0x0F, 0x08, 0x0A,
	0x80, 0x5D, 0x55, 0x55, 0xA5, 0xA0, 0x55, 0x00, 0x49, 0x16,
	0x0A
};

static const unsigned char SEQ_TEST_KEY_ON_D0[] = {
	0xD0,
	0x08
};

static const unsigned char SEQ_TE_ON[] = {
	0x35,
};

static const unsigned char SEQ_DISPLAY_ON[] = {
	0x29,
};

static const unsigned char SEQ_DISPLAY_OFF[] = {
	0x28,
	0x00,  0x00
};

static const unsigned char SEQ_SLEEP_OUT[] = {
	0x11,
};

#endif /* __S6E3HA0_PARAM_H__ */
