/* drivers/video/exynos/panels/s6e3ha2k_mipi_lcd.c
 *
 * Samsung SoC MIPI LCD driver.
 *
 * Copyright@ Samsung Electronics Co. LTD
 *
 * Manseok Kim <manseoks.kim@samsung.com> *
 *
 * This software is proprietary of Samsung Electronics.
 * No part of this software, either material or conceptual may be copied or distributed, transmitted,
 * transcribed, stored in a retrieval system or translated into any human or computer language in any form by any means,
 * electronic, mechanical, manual or otherwise, or disclosed
 * to third parties without the express written permission of Samsung Electronics.


 * Alternatively, this program is free software in case of open source projec;
 * you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.

*/


#include "../dsim.h"
#include "lcd_ctrl.h"
#include "decon_lcd.h"

#define MAX_BRIGHTNESS 255
#define MIN_BRIGHTNESS 0
#define DEFAULT_BRIGHTNESS 0

static int s6e3ha2k_probe(struct dsim_device *dsim)
{
	return 0;
}

static int s6e3ha2k_displayon(struct dsim_device *dsim)
{
	lcd_init(dsim->id, &dsim->lcd_info);
	lcd_enable_exynos(dsim->id);
	return 1;
}

static int s6e3ha2k_suspend(struct dsim_device *dsim)
{
	return 0;
}

static int s6e3ha2k_resume(struct dsim_device *dsim)
{
	return 0;
}

struct mipidsim_lcd_driver s6e3ha2k_mipi_lcd_driver = {
	.probe		= s6e3ha2k_probe,
	.displayon	= s6e3ha2k_displayon,
	.suspend	= s6e3ha2k_suspend,
	.resume		= s6e3ha2k_resume,
};

struct mipidsim_lcd_driver *decon_get_panel_info(void)
{
	return &s6e3ha2k_mipi_lcd_driver;
}
