/* drivers/video/exynos/panels/s6e8aa5x01_mipi_lcd.c
 *
 * Samsung SoC MIPI LCD driver.
 *
 * Copyright@ Samsung Electronics Co. LTD
 *
 * Manseok Kim <manseoks.kim@samsung.com> *
 *
 * This software is proprietary of Samsung Electronics.
 * No part of this software, either material or conceptual may be copied or distributed, transmitted,
 * transcribed, stored in a retrieval system or translated into any human or computer language in any form by any means,
 * electronic, mechanical, manual or otherwise, or disclosed
 * to third parties without the express written permission of Samsung Electronics.


 * Alternatively, this program is free software in case of open source projec;
 * you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.

*/

#include "../dsim.h"
#include "lcd_ctrl.h"
#include "decon_lcd.h"
#include "s6e8aa5x01_param.h"

#define GAMMA_PARAM_SIZE 26
#define MAX_BRIGHTNESS 255
#define MIN_BRIGHTNESS 0
#define DEFAULT_BRIGHTNESS 0

static int s6e8aa5x01_probe(struct dsim_device *dsim)
{
	return 1;
}

static int s6e8aa5x01_displayon(struct dsim_device *dsim)
{
	dsim_info("%s +\n", __func__);
	lcd_init(dsim->id, &dsim->lcd_info);
	dsim_info("%s -\n", __func__);
	return 1;
}

static int s6e8aa5x01_suspend(struct dsim_device *dsim)
{
	return 1;
}

static int s6e8aa5x01_resume(struct dsim_device *dsim)
{
	return 1;
}

struct mipidsim_lcd_driver s6e8aa5x01_mipi_lcd_driver = {
	.probe		= s6e8aa5x01_probe,
	.displayon	= s6e8aa5x01_displayon,
	.suspend	= s6e8aa5x01_suspend,
	.resume		= s6e8aa5x01_resume,
};

struct mipidsim_lcd_driver *decon_get_panel_info(void)
{
	return &s6e8aa5x01_mipi_lcd_driver;
}