/*
 * Copyright (C) 2015 Samsung Electronics
 *
 * Configuration settings for the SAMSUNG ESPRESSO7570 (EXYNOS7570) board.
 *
 * See file CREDITS for list of people who contributed to this
 * project.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 */

#ifndef __CONFIG_ESPRESSO7570_H
#define __CONFIG_ESPRESSO7570_H

/* High Level Configuration Options */
#define CONFIG_ARM64
#define CONFIG_SAMSUNG			/* in a SAMSUNG core */
#define CONFIG_S5P			/* S5P Family */
#define CONFIG_ARCH_EXYNOS		/* which is in a Exynos Family */
#define CONFIG_ARCH_EXYNOS7		/* which is in a Exynos7 Family */
#define CONFIG_CPU_EXYNOS7570		/* which is in a Exynos7570 */
#define CONFIG_MACH_ESPRESSO7570	/* which is in a ESPRESSO7570 */

#define CONFIG_BOARD_NAME		"ESPRESSO7570"

#include <configs/exynos7570_aarch64-common.h>
#include <asm/arch/cpu.h>		/* get chip and board defs */

#define CONFIG_GPT_ENV \
		"uuid_disk=12345678-1234-1234-1234-123456789012;"\
		"name=fat,size=100MiB,uuid=EBD0A0A2-B9E5-4433-87C0-68B6B72699C7;"\
		"name=system,size=1000MiB,uuid=0FC63DAF-8483-4772-8E79-3D69D8477DE4;"\
		"name=userdata,size=12000MiB,uuid=0FC63DAF-8483-4772-8E79-3D69D8477DE4;"\
		"name=cache,size=300MiB,uuid=0FC63DAF-8483-4772-8E79-3D69D8477DE4;"\
		"name=modem,size=100MiB,uuid=0FC63DAF-8483-4772-8E79-3D69D8477DE4;"\
		"name=efs,size=20MiB,uuid=0FC63DAF-8483-4772-8E79-3D69D8477DE4"

#define USE_MMC0

/* select serial console configuration */
#define CONFIG_SERIAL_MULTI
#define CONFIG_SERIAL2			/* use SERIAL 2 */
#define CONFIG_BAUDRATE			115200
#define CONFIG_USE_RPMB

/* LCD on U-BOOT */
#define CONFIG_VIDEO
#define CONFIG_EXYNOS_LCD_ON_UBOOT
#define CONFIG_DECON_LCD_S6E8AA0
#define CONFIG_DISPLAY_DRAWFONT
#define DISPLAY_LOGO_BASE_ADDRESS       0x7C000000

#endif	/* __CONFIG_ESPRESSO7570_H */
