/*
 * Copyright (C) 2015 Samsung Electronics
 *
 * Configuration settings for the SAMSUNG ESPRESSO8890 (EXYNOS8890) board.
 *
 * See file CREDITS for list of people who contributed to this
 * project.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License as
 * published by the Free Software Foundation; either version 2 of
 * the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA 02111-1307 USA
 */

#ifndef __CONFIG_ESPRESSO8890_EVT1_H
#define __CONFIG_ESPRESSO8890_EVT1_H

/* High Level Configuration Options */
#define CONFIG_ARM64
#define CONFIG_SAMSUNG			/* in a SAMSUNG core */
#define CONFIG_S5P			/* S5P Family */
#define CONFIG_ARCH_EXYNOS		/* which is in a Exynos Family */
#define CONFIG_ARCH_EXYNOS8		/* which is in a Exynos8 Family */
#define CONFIG_CPU_EXYNOS8890		/* which is in a Exynos8890 */
#define CONFIG_CPU_EXYNOS8890_EVT1	/* which is in a Exynos8890 EVT1 */
#define CONFIG_MACH_ESPRESSO8890	/* which is in a ESPRESSO8890 */

#define CONFIG_BOARD_NAME		"ESPRESSO8890_EVT1"

#include <asm/arch/cpu.h>		/* get chip and board defs */
#include <configs/exynos8890_aarch64-common.h>

/*#define USE_MMC2*/

/* select serial console configuration */
#define CONFIG_SERIAL_MULTI
#define CONFIG_SERIAL2			/* use SERIAL 2 */
#define CONFIG_BAUDRATE			115200

#define CONFIG_DECON_LCD_S6E3HA2K
#define CONFIG_USE_RPMB

#endif	/* __CONFIG_ESPRESSO8890_EVT1_H */
